'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _style = require('styled-jsx/style');

var _style2 = _interopRequireDefault(_style);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Divisor(_ref) {
  var icon = _ref.icon,
      color = _ref.color,
      borderColor = _ref.borderColor;

  return _react2.default.createElement(
    'div',
    {
      className: _style2.default.dynamic([['1978752612', [color, borderColor]]])
    },
    _react2.default.createElement(
      'span',
      {
        className: _style2.default.dynamic([['1978752612', [color, borderColor]]]) + ' ' + 'icon'
      },
      icon
    ),
    _react2.default.createElement('span', {
      className: _style2.default.dynamic([['1978752612', [color, borderColor]]]) + ' ' + 'border'
    }),
    _react2.default.createElement(
      _style2.default,
      {
        id: '1978752612',
        dynamic: [color, borderColor]
      },
      'div.__jsx-style-dynamic-selector{position:relative;}.icon.__jsx-style-dynamic-selector{position:absolute;left:calc(50% - 32px);top:-1em;z-index:1;}.border.__jsx-style-dynamic-selector{display:block;height:15px;background-color:' + color + ';border-bottom:2px solid ' + borderColor + ';}'
    )
  );
}

Divisor.defaultProps = {
  color: '#F4F8F9',
  borderColor: '#B7C1C4'
};

Divisor.propTypes = {
  icon: _propTypes2.default.node,
  color: _propTypes2.default.string,
  borderColor: _propTypes2.default.string
};

exports.default = Divisor;